## GstTimedValueControlSource GstTimedValueControlSource |

## Functions

GSequenceIter * | gst_timed_value_control_source_find_control_point_iter ()
gboolean | gst_timed_value_control_source_set ()
gboolean | gst_timed_value_control_source_set_from_list ()
GList * | gst_timed_value_control_source_get_all ()
gboolean | gst_timed_value_control_source_unset ()
void | gst_timed_value_control_source_unset_all ()
gint | gst_timed_value_control_source_get_count ()
void | gst_timed_value_control_invalidate_cache ()

## Signals

void | value-added | Run First
void | value-changed | Run First
void | value-removed | Run First

## Types and Values

struct | GstTimedValueControlSource
struct | GstControlPoint

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstControlSource
                    ╰── GstTimedValueControlSource
                        ├── GstInterpolationControlSource
                        ╰── GstTriggerControlSource

## Includes

    #include <libs/controller/gsttimedvaluecontrolsource.h>

## Description

## Functions

### gst_timed_value_control_source_find_control_point_iter ()

    GSequenceIter *
    gst_timed_value_control_source_find_control_point_iter
                                   (GstTimedValueControlSource *self,
                                    GstClockTime timestamp);

### gst_timed_value_control_source_set ()

    gboolean
    gst_timed_value_control_source_set (GstTimedValueControlSource *self,
                                        GstClockTime timestamp,
                                        const gdouble value);

### gst_timed_value_control_source_set_from_list ()

    gboolean
    gst_timed_value_control_source_set_from_list
                                   (GstTimedValueControlSource *self,
                                    const GSList *timedvalues);

### gst_timed_value_control_source_get_all ()

    GList *
    gst_timed_value_control_source_get_all
                                   (GstTimedValueControlSource *self);

### gst_timed_value_control_source_unset ()

    gboolean
    gst_timed_value_control_source_unset (GstTimedValueControlSource *self,
                                          GstClockTime timestamp);

### gst_timed_value_control_source_unset_all ()

    void
    gst_timed_value_control_source_unset_all
                                   (GstTimedValueControlSource *self);

### gst_timed_value_control_source_get_count ()

    gint
    gst_timed_value_control_source_get_count
                                   (GstTimedValueControlSource *self);

### gst_timed_value_control_invalidate_cache ()

    void
    gst_timed_value_control_invalidate_cache
                                   (GstTimedValueControlSource *self);

## Types and Values

### struct GstTimedValueControlSource

    struct GstTimedValueControlSource;

### struct GstControlPoint

    struct GstControlPoint {
      /* fields from GstTimedValue. DO NOT CHANGE! */
      GstClockTime timestamp;
      gdouble value;
    };

## Signal Details

### The `“value-added”` signal

    void
    user_function (GstTimedValueControlSource *gsttimedvaluecontrolsource,
                   GstControlPoint            *arg1,
                   gpointer                    user_data)

Flags: Run First

### The `“value-changed”` signal

    void
    user_function (GstTimedValueControlSource *gsttimedvaluecontrolsource,
                   GstControlPoint            *arg1,
                   gpointer                    user_data)

Flags: Run First

### The `“value-removed”` signal

    void
    user_function (GstTimedValueControlSource *gsttimedvaluecontrolsource,
                   GstControlPoint            *arg1,
                   gpointer                    user_data)

Flags: Run First